| Earth Observation Mission CFI Software Lib Software User Manual |

Public Member Functions | Public Attributes

# EECFI::EnvisatObt Class Reference

Base class for EnvisatObt objects. More...

Inheritance diagram for EECFI::EnvisatObt:

List of all members.

## Public Member Functions
| EnvisatObt (double time0, unsigned long obt0[2], unsigned long period0)
| Class constructor (empty constructor).
| EnvisatObt (double time0, unsigned long obt0[2], unsigned long period0, unsigned long obt[2])
| Class constructor with parameters.
| ~EnvisatObt ()
| Class destructor.
void | setObt (const Time &time) throw (CfiError)
| Set On-Board Time from a time in processing format.
Time | getTime () throw (CfiError)
| Get UTC time from an OBT time.
## Public Attributes
double | time0
| Reference time.
unsigned long | obt0 [2]
| Reference OBT.
unsigned long | period0
| Period.
unsigned long | obt [2]
| OBT value.

## Detailed Description

Base class for EnvisatObt objects.

## Constructor & Destructor Documentation

EECFI::EnvisatObt::EnvisatObt | ( | double | time0,
|  | unsigned long | obt0[2],
|  | unsigned long | period0 |
| ) |  |  |

Class constructor (empty constructor).

Class constructor (Empty constructor).

Parameters:

  | time0 | Reference time.
  | obt0 | Reference OBT.
  | period0 | period.

EECFI::EnvisatObt::EnvisatObt | ( | double | time0,
|  | unsigned long | obt0[2],
|  | unsigned long | period0,
|  | unsigned long | obt[2] |
| ) |  |  |

Class constructor with parameters.

Parameters:

  | time0 | Reference time.
  | obt0 | Reference OBT.
  | period0 | Period.
  | obt | OBT value.

EECFI::EnvisatObt::~EnvisatObt | ( |  | ) | `[inline]`

Class destructor.

## Member Function Documentation

Time EECFI::EnvisatObt::getTime | ( |  | ) | throw (CfiError)`[virtual]`

Get UTC time from an OBT time.

Returns:
  UTC time from OBT time.

Implements EECFI::ObtTime.

References obt, obt0, period0, EECFI::CfiClass::throwWarn, and time0.

void EECFI::EnvisatObt::setObt | ( | const Time & | time | ) | throw (CfiError)`[virtual]`

Set On-Board Time from a time in processing format.

Class destructor.

Parameters:

  | time | input Time.

Implements EECFI::ObtTime.

References EECFI::CfiError::addMsg(), EECFI::Time::change(), EECFI::Time::format, and EECFI::Time::time.

## Member Data Documentation

unsigned long EECFI::EnvisatObt::obt[2]

OBT value.

Referenced by getTime().

unsigned long EECFI::EnvisatObt::obt0[2]

Reference OBT.

Referenced by getTime().

unsigned long EECFI::EnvisatObt::period0

Period.

Referenced by getTime().

double EECFI::EnvisatObt::time0

Reference time.

Referenced by getTime().